## org.junit.runners
Annotation Type Parameterized.Parameter

    @Retention(value=RUNTIME)
    @Target(value=FIELD)
    public static @interface Parameterized.Parameter

Annotation for fields of the test class which will be initialized by the method annotated by `Parameters`. By using directly this annotation, the test class constructor isn't needed. Index range must start at 0. Default value is 0.

Optional Element Summary
`int` `value` Method that returns the index of the parameter in the array returned by the method annotated by `Parameters`.

### value

    public abstract int value

  Method that returns the index of the parameter in the array returned by the method annotated by `Parameters`. Index range must start at 0. Default value is 0.

  Returns:
    the index of the parameter.
  Default:
    0

Copyright © 2002–2020 JUnit. All rights reserved.